## ros-wstool 0.1.12

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/wstool.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/wstool.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/wstool"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/wstool"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

upload: html
	# set write permission for group so that everybody can overwrite existing files on the webserver
	chmod -R g+w _build/html/
	scp -pr _build/html/ rosbot@ros.osuosl.org:/home/rosbot/docs/independent/api/wstool

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== debian/changelog ===
ros-wstool (0.1.12-1) unstable; urgency=medium

  * Initial release. (Closes: #804042)

 -- Jochen Sprickerhof <debian@jochen.sprickerhof.de>  Wed, 23 Dec 2015 11:47:41 +0000

=== debian/control ===
Source: ros-wstool
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Thomas Moulard <thomas.moulard@gmail.com>,
           Jochen Sprickerhof <debian@jochen.sprickerhof.de>,
           Leopold Palomo-Avellaneda <leo@alaxarxa.net>
Section: python
Priority: optional
Build-Depends: python-setuptools (>= 0.6b3), python-all (>= 2.6.6-3), debhelper (>= 7.4.3), dh-python
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/ros/ros-wstool.git
Vcs-Git: git://anonscm.debian.org/debian-science/packages/ros/ros-wstool.git
Homepage: http://wiki.ros.org/wstool
X-Python-Version: >= 2.7

Package: python-wstool
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, python-vcstools
Description: Commands to manage multi-VCS repositories (for Robot OS)
 This package is part of Robot OS (ROS). It provides commands to
 manage several local VCS repositories based on a single workspace
 definition file (.rosinstall). Git, Mercurial, Subversion, and Bazaar
 are supported.
 .
 wstool replaces the rosws tool for catkin workspaces. As catkin
 workspaces create their own setup file and environment, wstool is
 reduced to version control functions only. So wstool does not have a
 "regenerate" command, and does not allow adding non-version
 controlled elements to workspaces. In all other respects, it behaves
 the same as rosws.

=== debian/rules ===
#!/usr/bin/make -f

# This file was automatically generated by stdeb 0.6.0+git at
# Fri, 11 Oct 2013 08:30:40 +0200

%:
	dh $@ --with python2 --buildsystem=python_distutils


override_dh_clean:
	rm -rf src/wstool.egg-info
	dh_clean

get-orig-source:
	uscan --verbose --force-download --repack --compress xz

=== debian/watch ===
# Watch control file for uscan
# Compulsory line, this is a version 3 file
version=3
# For GitHub projects you can use the tags page:

opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/wstool-$1\.tar\.gz/ \
  https://github.com/vcstools/wstool/releases .*/v?(\d\S*)\.tar\.gz

## ros-wstool 0.1.13

=== debian/changelog ===
ros-wstool (0.1.13-4) unstable; urgency=medium

  * Replace vcs patch with upstream version

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 25 Jul 2017 21:26:56 +0200

ros-wstool (0.1.13-3) unstable; urgency=medium

  * Add patch for VCSs identity (Closes: #868702)

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 18 Jul 2017 09:54:34 +0200

ros-wstool (0.1.13-2) unstable; urgency=medium

  * Convert package to pybuild
  * Bumped Standards-Version and debhelper versions.
  * Add python3-wstool package.

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 17 Jul 2017 07:40:43 +0200

ros-wstool (0.1.13-1) unstable; urgency=medium

  * Imported Upstream version 0.1.13
  * Add missing dependency

 -- Jochen Sprickerhof <debian@jochen.sprickerhof.de>  Sat, 18 Jun 2016 10:30:52 +0200

=== debian/control ===
Source: ros-wstool
Section: python
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Thomas Moulard <thomas.moulard@gmail.com>, Jochen Sprickerhof <jspricke@debian.org>, Leopold Palomo-Avellaneda <leo@alaxarxa.net>
Build-Depends: debhelper (>= 10), dh-python, python-all, python-setuptools, python3-all, python3-setuptools, python-vcstools, python-mock, python-yaml, git, mercurial, subversion, bzr, python3-vcstools, python3-mock, python3-yaml
Standards-Version: 4.0.0
Homepage: http://wiki.ros.org/wstool
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.2
Vcs-Git: https://anonscm.debian.org/cgit/debian-science/packages/ros/ros-wstool.git
Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/ros/ros-wstool.git
Testsuite: autopkgtest-pkg-python

Package: python-wstool
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}
Description: Commands to manage multi-VCS repositories (for Robot OS) Python 2
 This package is part of Robot OS (ROS). It provides commands to
 manage several local VCS repositories based on a single workspace
 definition file (.rosinstall). Git, Mercurial, Subversion, and Bazaar
 are supported.
 .
 wstool replaces the rosws tool for catkin workspaces. As catkin
 workspaces create their own setup file and environment, wstool is
 reduced to version control functions only. So wstool does not have a
 "regenerate" command, and does not allow adding non-version
 controlled elements to workspaces. In all other respects, it behaves
 the same as rosws.
 .
 This package installs the library for Python 2.

Package: python3-wstool
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}
Description: Commands to manage multi-VCS repositories (for Robot OS) Python 3
 This package is part of Robot OS (ROS). It provides commands to
 manage several local VCS repositories based on a single workspace
 definition file (.rosinstall). Git, Mercurial, Subversion, and Bazaar
 are supported.
 .
 wstool replaces the rosws tool for catkin workspaces. As catkin
 workspaces create their own setup file and environment, wstool is
 reduced to version control functions only. So wstool does not have a
 "regenerate" command, and does not allow adding non-version
 controlled elements to workspaces. In all other respects, it behaves
 the same as rosws.
 .
 This package installs the library for Python 3.

## ros-wstool 0.1.17

=== debian/changelog ===
ros-wstool (0.1.17-1) unstable; urgency=medium

  * Update Vcs URLs to salsa.d.o
  * New upstream version 0.1.17
  * Add R³
  * http -> https
  * Rebase patches
  * Update policy and debhelper versions
  * Fix completion dir

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 31 Mar 2018 20:29:31 +0200

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,14 @@
 Priority: optional
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Thomas Moulard <thomas.moulard@gmail.com>, Jochen Sprickerhof <jspricke@debian.org>, Leopold Palomo-Avellaneda <leo@alaxarxa.net>
-Build-Depends: debhelper (>= 10), dh-python, python-all, python-setuptools, python3-all, python3-setuptools, python-vcstools, python-mock, python-yaml, git, mercurial, subversion, bzr, python3-vcstools, python3-mock, python3-yaml
-Standards-Version: 4.0.0
-Homepage: http://wiki.ros.org/wstool
+Build-Depends: debhelper (>= 11), dh-python, python-all, python-setuptools, python3-all, python3-setuptools, python-vcstools, python-mock, python-yaml, git, mercurial, subversion, bzr, python3-vcstools, python3-mock, python3-yaml
+Standards-Version: 4.1.3
+Rules-Requires-Root: no
+Homepage: https://wiki.ros.org/wstool
 X-Python-Version: >= 2.6
 X-Python3-Version: >= 3.2
-Vcs-Git: https://anonscm.debian.org/cgit/debian-science/packages/ros/ros-wstool.git
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/ros/ros-wstool.git
+Vcs-Git: https://salsa.debian.org/science-team/ros-wstool.git
+Vcs-Browser: https://salsa.debian.org/science-team/ros-wstool
 Testsuite: autopkgtest-pkg-python
 
 Package: python-wstool

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=wstool
export PYBUILD_AFTER_INSTALL=rm -rf 'debian/python3-wstool/usr/bin' 'debian/python3-wstool/usr/share/bash-completion' 'debian/python3-wstool/usr/share/zsh'

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

## ros-wstool 0.1.18

=== Makefile ===
.PHONY: all setup clean_dist distro clean install testsetup test

NAME='wstool'
VERSION=$(shell grep version ./src/wstool/__version__.py | sed 's,version = ,,')

OUTPUT_DIR=deb_dist


all:
	echo "noop for debbuild"

setup:
	echo "building version ${VERSION}"

clean_dist:
	-rm -rf src/wstool.egg-info
	-rm -rf dist
	-rm -rf deb_dist

distro: setup clean_dist
	python setup.py sdist

clean: clean_dist


install: distro
	sudo checkinstall python setup.py install

testsetup:
	echo "running tests"

test: testsetup
	nosetests --with-coverage --cover-package=wstool

=== requirements.txt ===
vcstools>=0.1.42
pyyaml

=== debian/changelog ===
ros-wstool (0.1.18-3) unstable; urgency=medium

  * Cleanup after build
  * Remove Thomas from Uploaders, thanks for working on this
  * Bump policy and debhelper versions
  * Set LANGUAGE for unit tests

 -- Jochen Sprickerhof <jspricke@debian.org>  Wed, 03 Nov 2021 23:24:20 +0100

ros-wstool (0.1.18-2) unstable; urgency=medium

  * Drop Python 2 (Closes: #938406)

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 28 Sep 2019 09:26:14 +0200

ros-wstool (0.1.18-1) unstable; urgency=medium

  * New upstream version 0.1.18
  * Rebase patch
  * Fix ancient-python-version-field
  * Bump policy version (no changes)
  * switch to debhelper-compat and debhelper 12
  * add Salsa CI

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 27 Sep 2019 07:03:30 +0200

=== debian/control ===
Source: ros-wstool
Section: python
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Jochen Sprickerhof <jspricke@debian.org>, Leopold Palomo-Avellaneda <leo@alaxarxa.net>
Build-Depends: debhelper-compat (= 13), dh-sequence-python3, python3-all, python3-setuptools, git, mercurial, subversion, bzr, python3-vcstools, python3-mock, python3-yaml
Standards-Version: 4.6.0
Rules-Requires-Root: no
Homepage: https://wiki.ros.org/wstool
Vcs-Git: https://salsa.debian.org/science-team/ros-wstool.git
Vcs-Browser: https://salsa.debian.org/science-team/ros-wstool

Package: python3-wstool
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}
Description: Commands to manage multi-VCS repositories (for Robot OS) Python 3
 This package is part of Robot OS (ROS). It provides commands to
 manage several local VCS repositories based on a single workspace
 definition file (.rosinstall). Git, Mercurial, Subversion, and Bazaar
 are supported.
 .
 wstool replaces the rosws tool for catkin workspaces. As catkin
 workspaces create their own setup file and environment, wstool is
 reduced to version control functions only. So wstool does not have a
 "regenerate" command, and does not allow adding non-version
 controlled elements to workspaces. In all other respects, it behaves
 the same as rosws.
 .
 This package installs the library for Python 3.

=== debian/rules ===
#!/usr/bin/make -f

# for unit tests
export LANGUAGE=en_US:en

%:
	dh $@ --buildsystem=pybuild

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
    https://github.com/vcstools/wstool/tags \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
